﻿
interface IStatusBar {
	// --- Properties -----------------------------------------------------
	TopLevelNode: any;

	// --- Methods --------------------------------------------------------
	AddMessage(message: any, severity?: StatusBarMessageSeverity): void;
	Clear(): void;
	Hide(): void;
	Show(): void;
}

interface JQuery {
	statusBar(args?: any): IStatusBar;
}

interface IDataOperationError {
	ComError: number;
	ExceptionTypename: string;
	Fieldname: string;
	Message: string;
	MessageKey: string;
	Tablename: string;
}

