﻿
/// <reference path="orgAnice.validationModel.d.ts"/>

class OrgDataTypeValidator implements IOrgDataTypeValidator {
	// --- Events ---------------------------------------------------------
	// --- Fields ---------------------------------------------------------
	private culture: string = "de-DE";
	private memberValidators: IOrgDataMemberValidator[] = [];

	// --- Properties -----------------------------------------------------
	public get Culture(): string { return this.culture; }

	public set Culture(value: string) { this.culture = value; }

	public get MemberValidators(): IOrgDataMemberValidator[] { return this.memberValidators; }

	public set MemberValidators(value: IOrgDataMemberValidator[]) { this.memberValidators = value; }

	// --- Methods --------------------------------------------------------
	public ReplaceFieldname(fieldname: string, replaceWith: string): void {
		if (this.memberValidators == undefined || this.memberValidators.length == 0) return;

		$.each(this.memberValidators, (index, value) => {
			if (value.Fieldname !== fieldname) return true; // continue

			value.Fieldname = replaceWith;
			return false;
		});
	}

	// --- Constructor ----------------------------------------------------

	// --- Implementation -------------------------------------------------

}