﻿
///<reference path="../typings/jquery/jquery.d.ts"/>
///<reference path="../typings/knockout-3.2.0.d.ts"/>
///<reference path="orgAnice.data.d.ts"/>

class RelationsResult implements IRelationsResultModel {
	// --- Events ---------------------------------------------------------
	// --- Fields ---------------------------------------------------------
	private name: string;
	private oid: string;
	private value: string;

	// --- Properties -----------------------------------------------------
	public get Name(): string {
		return this.name;
	}

	public get Oid(): string {
		return this.oid;
	}

	public get Value(): string {
		return this.value;
	}

	// --- Constructor ----------------------------------------------------
	constructor(args: IRelationsResult) {
		// if args had been JSON.stringified earlier, all properties will be lowercase
		this.name = args.Name || args["name"];
		this.oid = args.Oid || args["oid"];
		this.value = args.Value || args["value"];
	}
}
 