﻿
$.extend($.datepicker, {
	validateFormat: (format: string, separator: string): string => {
		var result = "";
		var parts = format.split(separator);

		$.each(parts, (index: number, value: string) => {
			if (value.length > 2)
				value = value.substr(0, 2);

			result += value;
			if (index < 2)
				result += separator;
		});

		return result;
	}
}); 