/// <reference path="orgAnice.validationModel.d.ts"/>
var OrgDataTypeValidator = (function () {
    function OrgDataTypeValidator() {
        // --- Events ---------------------------------------------------------
        // --- Fields ---------------------------------------------------------
        this.culture = "de-DE";
        this.memberValidators = [];
    }
    Object.defineProperty(OrgDataTypeValidator.prototype, "Culture", {
        // --- Properties -----------------------------------------------------
        get: function () { return this.culture; },
        set: function (value) { this.culture = value; },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(OrgDataTypeValidator.prototype, "MemberValidators", {
        get: function () { return this.memberValidators; },
        set: function (value) { this.memberValidators = value; },
        enumerable: true,
        configurable: true
    });
    // --- Methods --------------------------------------------------------
    OrgDataTypeValidator.prototype.ReplaceFieldname = function (fieldname, replaceWith) {
        if (this.memberValidators == undefined || this.memberValidators.length == 0)
            return;
        $.each(this.memberValidators, function (index, value) {
            if (value.Fieldname !== fieldname)
                return true; // continue
            value.Fieldname = replaceWith;
            return false;
        });
    };
    return OrgDataTypeValidator;
}());
//# sourceMappingURL=orgAnice.validationModel.js.map